Subject: Spurious bidi reordering

From: Andreas Schwab <[email-masked]>
Date: Sat, 27 Feb 2016 16:28:56 +0100

When inserting the three characters "\1%&" into a buffer the last two
characters are reordered as if they were L2R characters.  This only
happens on powerpc and aarch64, which is a strong indication that the
bidi code fails to take the signedness of char into account.  In fact,
compiling bidi.c with -funsigned-char is enough to break it.

Andreas.

-- 
Andreas Schwab, [email-masked]
GPG Key fingerprint = 58CA 54C7 6D53 942B 1756  01D3 44D5 214B 8276 4ED5
"And now for something completely different."